<!-- /********************************************************************************
* Copyright (c) 2020 Contributors to the Eclipse Foundation
*
* See the NOTICE file(s) distributed with this work for additional
* information regarding copyright ownership.
*
* This program and the accompanying materials are made available under the
* terms of the Eclipse Public License v. 2.0 which is available at
* http://www.eclipse.org/legal/epl-2.0.
*
* SPDX-License-Identifier: EPL-2.0
********************************************************************************/ -->

<ng-template visibleByRight [elseTemplate]="readonlyRightsTemplate">
  <button *ngIf="editIcon" (click)="clicked('edit')" class="tool-icon">
    <fa-icon [icon]="FaIcons.faEdit"></fa-icon>
  </button>
  <button *ngIf="readonlyIcon" (click)="clicked('readonly')" class="tool-icon">
    <fa-icon [icon]="FaIcons.faEye"></fa-icon>
  </button>
  <button *ngIf="deleteIcon" (click)="clicked('delete')" class="tool-icon">
    <fa-icon [icon]="FaIcons.faTrash"></fa-icon>
  </button>
</ng-template>
<ng-template #readonlyRightsTemplate>
  <button (click)="clicked('readonly')" class="tool-icon">
    <fa-icon [icon]="FaIcons.faEye"></fa-icon>
  </button>
</ng-template>
